<?php
/**
 * @package     KL Admin Skin
 *
 * @author      KreativeLizard Team <support@kreativelizard.com>
 * @copyright   Copyright (C) 2014 - 2016 KreativeLizard. All rights reserved.
 * @license     GNU General Public License version 3 or later; see LICENSE.txt
 *
 *  Script to return one image, randomly, from the current folder
 */

/**
 * Method to get all images from folder
 *
 * @param   string  $path    Contain the folder path 
 * @return  array   $images  Array containing picked images
 **/
function getFolderImages()
{
	// Open a directory, and read its contents
	if ($imgDir = opendir(dirname(__FILE__)))
	{
		$images = array();

		while (($imgFile = readdir($imgDir)) !== false)
		{
			// Checks for image files
			if (preg_match('~(\.gif|\.jpg|\.jpeg|\.png|\.GIF|\.JPG|\.JPEG|\.PNG)$~', $imgFile))
			{
				$images[] = $imgFile;
			}
		}

		closedir($imgDir);

		return $images;
	}
}

/**
 * Method to pick one image randomly
 *
 * @param   array   $list   Array containing a list of images
 * @return  string  $image  Return a random image name
 **/
function getRandomImage($list)
{
	$num   = array_rand($list);
	$image = $list[$num];

	return $image;
}

$images = getFolderImages();
$image  = getRandomImage($images);

echo json_encode($image);
